# Generated by Django 3.1 on 2020-08-09 15:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BadgeField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field', models.CharField(choices=[('id', 'ID'), ('type', 'Type'), ('embossed', 'Embossed'), ('activate', 'Activate'), ('deactivate', 'Deactivate'), ('status', 'Status'), ('prints', 'Prints'), ('issue_code', 'Issue code'), ('apbexempt', 'Apbexempt'), ('last_print', 'Last print'), ('last_changed', 'Last changed'), ('use_limit', 'Use limit'), ('extend_strike_held', 'Extend strike held'), ('passage_mode', 'Passage mode'), ('deadbolt_override', 'Deadbolt Override'), ('badge_key', 'Badge key'), ('pin', 'PIN'), ('dest_exempt', 'Dest exempt'), ('two_man_type', 'Two man type'), ('default_floor', 'Defaulty floor'), ('descriptor_flag', 'Descriptor flag'), ('default_door', 'Default door'), ('extended_id', 'Extended ID'), ('direct_key_toolkit', 'Direct key toolkit')], max_length=128, unique=True)),
                ('searchable', models.BooleanField(default=True)),
                ('filterable', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='BadgeStat',
            fields=[
                ('id', models.IntegerField(db_column='ID', primary_key=True, serialize=False)),
                ('name', models.CharField(db_column='NAME', max_length=32, null=True)),
            ],
            options={
                'db_table': 'BADGSTAT',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.IntegerField(db_column='ID', primary_key=True, serialize=False)),
                ('first_name', models.CharField(db_column='FIRSTNAME', max_length=64)),
                ('last_name', models.CharField(db_column='LASTNAME', max_length=64, null=True)),
                ('mid_name', models.CharField(db_column='MIDNAME', max_length=64, null=True)),
                ('ssno', models.CharField(db_column='SSNO', max_length=13, null=True)),
                ('lastchanged', models.DateTimeField(db_column='LASTCHANGED', max_length=13, null=True)),
                ('visitor', models.IntegerField(db_column='VISITOR')),
                ('allowed_visitors', models.IntegerField(db_column='ALLOWEDVISITORS')),
                ('asset_group_id', models.IntegerField(db_column='ASSET_GROUPID', null=True)),
                ('lnl_db_id', models.IntegerField(db_column='LNL_DBID')),
                ('guard', models.IntegerField(db_column='GUARD')),
                ('segment_id', models.IntegerField(db_column='SEGMENTID')),
            ],
            options={
                'db_table': 'EMP',
            },
        ),
        migrations.CreateModel(
            name='EmployeeField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field', models.CharField(choices=[('id', 'ID'), ('first_name', 'First Name'), ('mid_name', 'Middle Name'), ('last_name', 'Last Name'), ('ssno', 'SSNO'), ('lastchanged', 'Last Changed'), ('visitor', 'Visitor'), ('allowed_visitors', 'Allowed Visitors'), ('asset_group_id', 'Asset Group ID'), ('lnl_db_id', 'LNL DB ID'), ('guard', 'Guard'), ('segment_id', 'Segment ID'), ('badges', 'Badges')], max_length=128, unique=True)),
                ('searchable', models.BooleanField(default=True)),
                ('filterable', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='UpdateBadge',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('badge_id', models.IntegerField()),
                ('state', models.CharField(choices=[(1, 'Activated'), (2, 'Gaia_Deactivated')], max_length=128)),
            ],
            options={
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='Badge',
            fields=[
                ('id', models.IntegerField(db_column='ID', primary_key=True, serialize=False)),
                ('type', models.IntegerField(db_column='TYPE')),
                ('embossed', models.IntegerField(db_column='EMBOSSED')),
                ('activate', models.DateTimeField(db_column='ACTIVATE')),
                ('deactivate', models.DateTimeField(db_column='DEACTIVATE')),
                ('status', models.IntegerField(db_column='STATUS')),
                ('prints', models.IntegerField(db_column='PRINTS')),
                ('issue_code', models.IntegerField(db_column='ISSUECODE')),
                ('apbexempt', models.IntegerField(db_column='APBEXEMPT')),
                ('last_print', models.DateTimeField(db_column='LASTPRINT', null=True)),
                ('last_changed', models.DateTimeField(db_column='LASTCHANGED', null=True)),
                ('use_limit', models.IntegerField(db_column='USELIMIT', null=True)),
                ('extend_strike_held', models.IntegerField(db_column='EXTEND_STRIKE_HELD')),
                ('passage_mode', models.IntegerField(db_column='PASSAGE_MODE')),
                ('deadbolt_override', models.IntegerField(db_column='DEADBOLT_OVERRIDE', null=True)),
                ('badge_key', models.IntegerField(db_column='BADGEKEY')),
                ('pin', models.BinaryField(db_column='PIN', max_length=50, null=True)),
                ('dest_exempt', models.IntegerField(db_column='DEST_EXEMPT')),
                ('two_man_type', models.IntegerField(db_column='TWO_MAN_TYPE', null=True)),
                ('default_floor', models.IntegerField(db_column='DEFAULT_FLOOR', null=True)),
                ('descriptor_flag', models.IntegerField(db_column='DESCRIPTOR_FLAG')),
                ('default_door', models.IntegerField(db_column='DEFAULT_DOOR')),
                ('extended_id', models.CharField(db_column='EXTENDED_ID', max_length=64, null=True)),
                ('direct_key_toolkit', models.IntegerField(db_column='DIRECT_KEY_TOOLKIT')),
                ('emp', models.ForeignKey(db_column='EMPID', on_delete=django.db.models.deletion.CASCADE, related_name='badges', to='api.employee')),
            ],
            options={
                'db_table': 'BADGE',
            },
        ),
    ]
